"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getBranchName = void 0;
const child_process_1 = require("child_process");
function executeGitCommand(command) {
    return (0, child_process_1.execSync)(command)
        .toString('utf8')
        .replace(/[\n\r\s]+$/, '');
}
function getBranchName() {
    return executeGitCommand('git branch --show-current');
}
exports.getBranchName = getBranchName;
